# ik_vec3d.h File Reference

`#include <math.h>`
`#include "ik_irrKlangTypes.h"`

Go to the source code of this file.

## Classes
class | irrklang::vec3d< T >
| a 3d vector template class for representing vectors and points in 3d More...
## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.
## Typedefs
typedef vec3d< ik_f32 > | irrklang::vec3df
| Typedef for a ik_f32 3d vector, a vector using floats for X, Y and Z.
typedef vec3d< ik_s32 > | irrklang::vec3di
| Typedef for an integer 3d vector, a vector using ints for X, Y and Z.
## Functions
template<class S , class T >
vec3d< T > | irrklang::operator* (const S scalar, const vec3d< T > &vector)

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)